#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

# Don't compress .py files
DEB_COMPRESS_EXCLUDE := .py

# Manpages stuff
MANPAGES = debian/pyscript.1
XSLT_CMD = xsltproc -nonet
DB2MAN   = /usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl

DEB_DESTDIR=debian/python-pyscript

install/python-pyscript:: $(MANPAGES)

%.1: %.dbk
	cd $(<D) && $(XSLT_CMD) $(DB2MAN) $(<F)

clean::
	rm -f $(MANPAGES)
